## Deprecated Interface Deprecated Interface — Deprecated types and methods. |

## Functions

const gchar * | mm_simple_connect_properties_get_number ()
void | mm_simple_connect_properties_set_number ()
const gchar * | mm_bearer_properties_get_number ()
void | mm_bearer_properties_set_number ()
MMCallDirection | mm_call_properties_get_direction ()
void | mm_call_properties_set_direction ()
MMCallState | mm_call_properties_get_state ()
void | mm_call_properties_set_state ()
MMCallStateReason | mm_call_properties_get_state_reason ()
void | mm_call_properties_set_state_reason ()
gchar * | mm_location_gps_nmea_build_full ()
void | mm_pco_list_free ()
MMModem3gppSubscriptionState | mm_simple_status_get_3gpp_subscription_state ()
MMModem3gppSubscriptionState | mm_modem_3gpp_get_subscription_state ()
gboolean | mm_modem_peek_pending_network_initiated_sessions ()
gboolean | mm_modem_get_pending_network_initiated_sessions ()

## Description

These types and methods are flagged as deprecated and therefore shouldn't be used in newly written code. They are provided to avoid unnecessary API/ABI breaks, for compatibility purposes only.

## Functions

### mm_simple_connect_properties_get_number ()

    const gchar *
    mm_simple_connect_properties_get_number
                                   (MMSimpleConnectProperties *self);

`mm_simple_connect_properties_get_number` has been deprecated since version 1.10.0. and should not be used in newly-written code.

The number setting is not used anywhere, and therefore it doesn't make sense to expose it in the ModemManager interface.

Gets the number to use when performing the connection.

#### Parameters

self | a MMSimpleConnectProperties. |

#### Returns

the number, or NULL if not set. Do not free the returned value, it is owned by `self` .

[transfer none]

Since: 1.0

### mm_simple_connect_properties_set_number ()

    void
    mm_simple_connect_properties_set_number
                                   (MMSimpleConnectProperties *self,
                                    const gchar *number);

`mm_simple_connect_properties_set_number` has been deprecated since version 1.10.0. and should not be used in newly-written code.

The number setting is not used anywhere, and therefore it doesn't make sense to expose it in the ModemManager interface.

Sets the number to use when performing the connection.

#### Parameters

self | a MMSimpleConnectProperties. |
number | the number. |

Since: 1.0

### mm_bearer_properties_get_number ()

    const gchar *
    mm_bearer_properties_get_number (MMBearerProperties *self);

`mm_bearer_properties_get_number` has been deprecated since version 1.10.0. and should not be used in newly-written code.

The number setting is not used anywhere, and therefore it doesn't make sense to expose it in the ModemManager interface.

Gets the number to use when performing the connection.

#### Parameters

self | a MMBearerProperties. |

#### Returns

the number, or NULL if not set. Do not free the returned value, it is owned by `self` .

[transfer none]

Since: 1.0

### mm_bearer_properties_set_number ()

    void
    mm_bearer_properties_set_number (MMBearerProperties *self,
                                     const gchar *number);

`mm_bearer_properties_set_number` has been deprecated since version 1.10.0. and should not be used in newly-written code.

The number setting is not used anywhere, and therefore it doesn't make sense to expose it in the ModemManager interface.

Sets the number to use when performing the connection.

#### Parameters

self | a MMBearerProperties. |
number | the number. |

Since: 1.0

### mm_call_properties_get_direction ()

    MMCallDirection
    mm_call_properties_get_direction (MMCallProperties *self);

`mm_call_properties_get_direction` has been deprecated since version 1.12 and should not be used in newly-written code.

the user should not specify the direction of the call, as it is implicit (outgoing always). This parameter has always been ignored during the new call creation processing.

Gets the call direction.

#### Parameters

self | A MMCallProperties. |

#### Returns

the call direction.

Since: 1.6

### mm_call_properties_set_direction ()

    void
    mm_call_properties_set_direction (MMCallProperties *self,
                                      MMCallDirection direction);

`mm_call_properties_set_direction` has been deprecated since version 1.12 and should not be used in newly-written code.

the user should not specify the direction of the call, as it is implicit (outgoing always). Anyway, this parameter has always been ignored during the new call creation processing.

Sets the call direction.

#### Parameters

self | A MMCallProperties. |
direction | the call direction |

Since: 1.6

### mm_call_properties_get_state ()

    MMCallState
    mm_call_properties_get_state (MMCallProperties *self);

`mm_call_properties_get_state` has been deprecated since version 1.12 and should not be used in newly-written code.

the user should not specify the state of the call before the call is created. This parameter has always been ignored during the new call creation processing.

Gets the call state.

#### Parameters

self | A MMCallProperties. |

#### Returns

the call state.

Since: 1.6

### mm_call_properties_set_state ()

    void
    mm_call_properties_set_state (MMCallProperties *self,
                                  MMCallState state);

`mm_call_properties_set_state` has been deprecated since version 1.12 and should not be used in newly-written code.

the user should not specify the state of the call before the call is created. This parameter has always been ignored during the new call creation processing.

Sets the call state

#### Parameters

self | A MMCallProperties. |
state | the call state |

Since: 1.6

### mm_call_properties_get_state_reason ()

    MMCallStateReason
    mm_call_properties_get_state_reason (MMCallProperties *self);

`mm_call_properties_get_state_reason` has been deprecated since version 1.12 and should not be used in newly-written code.

the user should not specify the state reason of the call before the call is created. This parameter has always been ignored during the new call creation processing.

Gets the call state reason.

#### Parameters

self | A MMCallProperties. |

#### Returns

the call state reason.

Since: 1.6

### mm_call_properties_set_state_reason ()

    void
    mm_call_properties_set_state_reason (MMCallProperties *self,
                                         MMCallStateReason state_reason);

`mm_call_properties_set_state_reason` has been deprecated since version 1.12 and should not be used in newly-written code.

the user should not specify the state reason of the call before the call is created. This parameter has always been ignored during the new call creation processing.

Sets the call state reason.

#### Parameters

self | A MMCallProperties. |
state_reason | the call state reason. |

Since: 1.6

### mm_location_gps_nmea_build_full ()

    gchar *
    mm_location_gps_nmea_build_full (MMLocationGpsNmea *self);

`mm_location_gps_nmea_build_full` has been deprecated since version 1.14 and should not be used in newly-written code.

user should use `mm_location_gps_nmea_get_traces()` instead, which provides a much more generic interface to the full list of traces.

Gets a compilation of all cached traces, in a single string. Traces are separated by '\r\n'.

#### Parameters

self | a MMLocationGpsNmea. |

#### Returns

a string containing all traces, or NULL if none available. The returned value should be freed with `g_free()`.

[transfer full]

Since: 1.0

### mm_pco_list_free ()

    void
    mm_pco_list_free (GList *pco_list);

`mm_pco_list_free` has been deprecated since version 1.12.0 and should not be used in newly-written code.

Use `g_list_free_full()` using `g_object_unref()` as GDestroyNotify function instead.

Frees all of the memory used by a GList of MMPco.

#### Parameters

pco_list | a GList of MMPco. | [transfer full][element-type ModemManager.Pco]

Since: 1.10

### mm_simple_status_get_3gpp_subscription_state ()

    MMModem3gppSubscriptionState
    mm_simple_status_get_3gpp_subscription_state
                                   (MMSimpleStatus *self);

`mm_simple_status_get_3gpp_subscription_state` has been deprecated since version 1.12.0. and should not be used in newly-written code.

The value of this property can only be obtained with operator specific logic (e.g. processing specific PCO info), and therefore it doesn't make sense to expose it in the ModemManager interface.

Gets the current subscription status of the account.

#### Parameters

self | a MMSimpleStatus. |

#### Returns

a MMModem3gppSubscriptionState.

Since: 1.0

### mm_modem_3gpp_get_subscription_state ()

    MMModem3gppSubscriptionState
    mm_modem_3gpp_get_subscription_state (MMModem3gpp *self);

`mm_modem_3gpp_get_subscription_state` has been deprecated since version 1.10.0. and should not be used in newly-written code.

The value of this property can only be obtained with operator specific logic (e.g. processing specific PCO info), and therefore it doesn't make sense to expose it in the ModemManager interface.

Get the current subscription status of the account. This value is only available after the modem attempts to register with the network.

The value of this property can only be obtained with operator specific logic (e.g. processing specific PCO info), and therefore it doesn't make sense to expose it in the ModemManager interface.

#### Parameters

self | A MMModem. |

#### Returns

A MMModem3gppSubscriptionState value, specifying the current subscription state.

Since: 1.0

### mm_modem_peek_pending_network_initiated_sessions ()

    gboolean
    mm_modem_peek_pending_network_initiated_sessions
                                   (MMModemOma *self,
                                    const MMOmaPendingNetworkInitiatedSession **sessions,
                                    guint *n_sessions);

`mm_modem_peek_pending_network_initiated_sessions` has been deprecated since version 1.18 and should not be used in newly-written code.

Use `mm_modem_oma_peek_pending_network_initiated_sessions()` instead.

Gets the list of pending network-initiated OMA sessions.

#### Parameters

self | A MMModem. |
sessions | Return location for the array of MMOmaPendingNetworkInitiatedSession values. Do not free the returned array, it is owned by `self` . | [out][array length=n_sessions]
n_sessions | Return location for the number of values in `sessions` . | [out]

#### Returns

`TRUE` if `sessions` and `n_sessions` are set, `FALSE` otherwise.

Since: 1.2

### mm_modem_get_pending_network_initiated_sessions ()

    gboolean
    mm_modem_get_pending_network_initiated_sessions
                                   (MMModemOma *self,
                                    MMOmaPendingNetworkInitiatedSession **sessions,
                                    guint *n_sessions);

`mm_modem_get_pending_network_initiated_sessions` has been deprecated since version 1.18 and should not be used in newly-written code.

Use `mm_modem_oma_get_pending_network_initiated_sessions()` instead.

Gets the list of pending network-initiated OMA sessions.

#### Parameters

self | A MMModem. |
sessions | Return location for the array of MMOmaPendingNetworkInitiatedSession structs. The returned array should be freed with `g_free()` when no longer needed. | [out][array length=n_sessions]
n_sessions | Return location for the number of values in `sessions` . | [out]

#### Returns

`TRUE` if `sessions` and `n_sessions` are set, `FALSE` otherwise.

Since: 1.2